Crea o actualiza una política de enmascaramiento de datos de base de datos.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/dataMaskingPolicies/Default?api-version=2025-01-01
Parámetros de identificador URI
| Nombre |
En |
Requerido |
Tipo |
Description |
|
databaseName
|
path |
True
|
string
|
El nombre de la base de datos.
|
|
dataMaskingPolicyName
|
path |
True
|
DataMaskingPolicyName
|
El nombre de la base de datos para la que se aplica la política de enmascaramiento de datos.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nombre del grupo de recursos. El nombre distingue mayúsculas de minúsculas.
|
|
serverName
|
path |
True
|
string
|
El nombre del servidor.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Identificador de la suscripción de destino. El valor debe ser un UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Versión de API que se usará para esta operación.
|
Cuerpo de la solicitud
| Nombre |
Requerido |
Tipo |
Description |
|
properties.dataMaskingState
|
True
|
DataMaskingState
|
Estado de la directiva de enmascaramiento de datos.
|
|
properties.exemptPrincipals
|
|
string
|
Lista de las entidades de seguridad exentas. Especifica la lista separada por punto y coma de usuarios de base de datos para los que no se aplica la directiva de enmascaramiento de datos. Los usuarios especificados reciben resultados de datos sin enmascaramiento para todas las consultas de base de datos.
|
Respuestas
| Nombre |
Tipo |
Description |
|
200 OK
|
DataMaskingPolicy
|
Operación de actualización del recurso 'DataMaskingPolicy' exitosa
|
|
201 Created
|
DataMaskingPolicy
|
Recurso 'DataMaskingPolicy' crear operación exitosa
|
|
Other Status Codes
|
ErrorResponse
|
Una respuesta de error inesperada.
|
Seguridad
azure_auth
Flujo OAuth2 de Azure Active Directory.
Tipo:
oauth2
Flujo:
implicit
Dirección URL de autorización:
https://login.microsoftonline.com/common/oauth2/authorize
Ámbitos
| Nombre |
Description |
|
user_impersonation
|
suplantar la cuenta de usuario
|
Ejemplos
Create or update data masking policy max
Solicitud de ejemplo
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default?api-version=2025-01-01
{
"properties": {
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;"
}
}
import com.azure.resourcemanager.sql.fluent.models.DataMaskingPolicyInner;
import com.azure.resourcemanager.sql.models.DataMaskingPolicyName;
import com.azure.resourcemanager.sql.models.DataMaskingState;
/**
* Samples for DataMaskingPolicies CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
*/
/**
* Sample code: Create or update data masking policy max.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDataMaskingPolicyMax(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDataMaskingPolicies().createOrUpdateWithResponse("sqlcrudtest-6852",
"sqlcrudtest-2080", "sqlcrudtest-331", DataMaskingPolicyName.DEFAULT, new DataMaskingPolicyInner()
.withDataMaskingState(DataMaskingState.ENABLED).withExemptPrincipals("testuser;"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python data_masking_policy_create_or_update_max.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.data_masking_policies.create_or_update(
resource_group_name="sqlcrudtest-6852",
server_name="sqlcrudtest-2080",
database_name="sqlcrudtest-331",
parameters={"properties": {"dataMaskingState": "Enabled", "exemptPrincipals": "testuser;"}},
)
print(response)
# x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a database data masking policy.
*
* @summary creates or updates a database data masking policy.
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMax.json
*/
async function createOrUpdateDataMaskingPolicyMax() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.dataMaskingPolicies.createOrUpdate(
"sqlcrudtest-6852",
"sqlcrudtest-2080",
"sqlcrudtest-331",
{ dataMaskingState: "Enabled", exemptPrincipals: "testuser;" },
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/DataMaskingPolicyCreateOrUpdateMax.json
// this example is just showing the usage of "DataMaskingPolicies_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this DataMaskingPolicyResource created on azure
// for more information of creating DataMaskingPolicyResource, please refer to the document of DataMaskingPolicyResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-6852";
string serverName = "sqlcrudtest-2080";
string databaseName = "sqlcrudtest-331";
DataMaskingPolicyName dataMaskingPolicyName = DataMaskingPolicyName.Default;
ResourceIdentifier dataMaskingPolicyResourceId = DataMaskingPolicyResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, dataMaskingPolicyName);
DataMaskingPolicyResource dataMaskingPolicy = client.GetDataMaskingPolicyResource(dataMaskingPolicyResourceId);
// invoke the operation
DataMaskingPolicyData data = new DataMaskingPolicyData
{
DataMaskingState = DataMaskingState.Enabled,
ExemptPrincipals = "testuser;",
};
ArmOperation<DataMaskingPolicyResource> lro = await dataMaskingPolicy.UpdateAsync(WaitUntil.Completed, data);
DataMaskingPolicyResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
DataMaskingPolicyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respuesta de muestra
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;",
"maskingLevel": ""
}
}
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "testuser;",
"maskingLevel": ""
}
}
Create or update data masking policy min.
Solicitud de ejemplo
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default?api-version=2025-01-01
{
"properties": {
"dataMaskingState": "Enabled"
}
}
import com.azure.resourcemanager.sql.fluent.models.DataMaskingPolicyInner;
import com.azure.resourcemanager.sql.models.DataMaskingPolicyName;
import com.azure.resourcemanager.sql.models.DataMaskingState;
/**
* Samples for DataMaskingPolicies CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
*/
/**
* Sample code: Create or update data masking policy min.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDataMaskingPolicyMin(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDataMaskingPolicies().createOrUpdateWithResponse("sqlcrudtest-6852",
"sqlcrudtest-2080", "sqlcrudtest-331", DataMaskingPolicyName.DEFAULT,
new DataMaskingPolicyInner().withDataMaskingState(DataMaskingState.ENABLED),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python data_masking_policy_create_or_update_min.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.data_masking_policies.create_or_update(
resource_group_name="sqlcrudtest-6852",
server_name="sqlcrudtest-2080",
database_name="sqlcrudtest-331",
parameters={"properties": {"dataMaskingState": "Enabled"}},
)
print(response)
# x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a database data masking policy.
*
* @summary creates or updates a database data masking policy.
* x-ms-original-file: 2025-01-01/DataMaskingPolicyCreateOrUpdateMin.json
*/
async function createOrUpdateDataMaskingPolicyMin() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.dataMaskingPolicies.createOrUpdate(
"sqlcrudtest-6852",
"sqlcrudtest-2080",
"sqlcrudtest-331",
{ dataMaskingState: "Enabled" },
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/DataMaskingPolicyCreateOrUpdateMin.json
// this example is just showing the usage of "DataMaskingPolicies_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this DataMaskingPolicyResource created on azure
// for more information of creating DataMaskingPolicyResource, please refer to the document of DataMaskingPolicyResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-6852";
string serverName = "sqlcrudtest-2080";
string databaseName = "sqlcrudtest-331";
DataMaskingPolicyName dataMaskingPolicyName = DataMaskingPolicyName.Default;
ResourceIdentifier dataMaskingPolicyResourceId = DataMaskingPolicyResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName, dataMaskingPolicyName);
DataMaskingPolicyResource dataMaskingPolicy = client.GetDataMaskingPolicyResource(dataMaskingPolicyResourceId);
// invoke the operation
DataMaskingPolicyData data = new DataMaskingPolicyData
{
DataMaskingState = DataMaskingState.Enabled,
};
ArmOperation<DataMaskingPolicyResource> lro = await dataMaskingPolicy.UpdateAsync(WaitUntil.Completed, data);
DataMaskingPolicyResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
DataMaskingPolicyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respuesta de muestra
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "",
"maskingLevel": ""
}
}
{
"name": "Default",
"type": "Microsoft.Sql/servers/databases/dataMaskingPolicies",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-6852/providers/Microsoft.Sql/servers/sqlcrudtest-2080/databases/sqlcrudtest-331/dataMaskingPolicies/Default",
"kind": null,
"location": "Central US",
"properties": {
"applicationPrincipals": "",
"dataMaskingState": "Enabled",
"exemptPrincipals": "",
"maskingLevel": ""
}
}
Definiciones
createdByType
Enumeración
Tipo de identidad que creó el recurso.
| Valor |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DataMaskingPolicy
Objeto
Una política de enmascaramiento de datos de bases de datos.
| Nombre |
Tipo |
Description |
|
id
|
string
(arm-id)
|
Identificador de recurso completo para el recurso. Por ejemplo, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
kind
|
string
|
El tipo de política de enmascaramiento de datos. Metadatos, usados para el portal Azure.
|
|
location
|
string
|
La ubicación de la política de datos sobre mascarillas.
|
|
name
|
string
|
Nombre del recurso
|
|
properties.applicationPrincipals
|
string
|
La lista de los principales de la aplicación. Se trata de un parámetro heredado y ya no se usa.
|
|
properties.dataMaskingState
|
DataMaskingState
|
Estado de la directiva de enmascaramiento de datos.
|
|
properties.exemptPrincipals
|
string
|
Lista de las entidades de seguridad exentas. Especifica la lista separada por punto y coma de usuarios de base de datos para los que no se aplica la directiva de enmascaramiento de datos. Los usuarios especificados reciben resultados de datos sin enmascaramiento para todas las consultas de base de datos.
|
|
properties.maskingLevel
|
string
|
El nivel de enmascaramiento. Se trata de un parámetro heredado y ya no se usa.
|
|
systemData
|
systemData
|
Azure Resource Manager metadatos que contienen información createdBy y modifiedBy.
|
|
type
|
string
|
Tipo de recurso. Por ejemplo, "Microsoft. Compute/virtualMachines" o "Microsoft. CuentasAlmacenamiento/Almacenamiento"
|
DataMaskingPolicyName
Enumeración
El nombre de la base de datos para la que se aplica la política de enmascaramiento de datos.
| Valor |
Description |
|
Default
|
Predeterminado
|
DataMaskingState
Enumeración
Estado de la directiva de enmascaramiento de datos.
| Valor |
Description |
|
Enabled
|
Habilitado
|
|
Disabled
|
Deshabilitado
|
ErrorAdditionalInfo
Objeto
Información adicional sobre el error de administración de recursos.
| Nombre |
Tipo |
Description |
|
info
|
object
|
Información adicional.
|
|
type
|
string
|
Tipo de información adicional.
|
ErrorDetail
Objeto
Detalle del error.
| Nombre |
Tipo |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Información adicional del error.
|
|
code
|
string
|
Código de error.
|
|
details
|
ErrorDetail[]
|
Detalles del error.
|
|
message
|
string
|
El mensaje de error.
|
|
target
|
string
|
Destino del error.
|
ErrorResponse
Objeto
Respuesta de error
| Nombre |
Tipo |
Description |
|
error
|
ErrorDetail
|
Objeto de error.
|
systemData
Objeto
Metadatos relativos a la creación y última modificación del recurso.
| Nombre |
Tipo |
Description |
|
createdAt
|
string
(date-time)
|
Marca de tiempo de creación de recursos (UTC).
|
|
createdBy
|
string
|
Identidad que creó el recurso.
|
|
createdByType
|
createdByType
|
Tipo de identidad que creó el recurso.
|
|
lastModifiedAt
|
string
(date-time)
|
La marca de tiempo de la última modificación del recurso (UTC)
|
|
lastModifiedBy
|
string
|
Identidad que modificó por última vez el recurso.
|
|
lastModifiedByType
|
createdByType
|
Tipo de identidad que modificó por última vez el recurso.
|